/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _CAM_CONFIG_H_
#define _CAM_CONFIG_H_

#include <glib.h>
/*
#include "cam_property.h"
*/
#define CONFIG_PATH							"/opt/usr/ug/data/ug-camera-efl/.camera.ini"

#define EXTERNAL_MODE_SAVE_PATH			"/tmp"

typedef enum {
	CAM_CONFIG_TYPE_COMMON = 0,
	CAM_CONFIG_TYPE_PREVIEW,
	CAM_CONFIG_TYPE_SHORTCUTS,
	CAM_CONFIG_MAX,
} CamConfigType;

gboolean
cam_config_set_group_name(CamConfigType config_type,
			  const gchar *set_group_name);

gboolean cam_config_init(GError **error);

void cam_config_finalize(void);

void cam_config_set_group(const gchar *group_name);

const gchar *cam_config_get_group(void);

void cam_config_save(void);

void cam_config_set_control(gboolean enable);

void cam_config_set_int(const gchar *key, int nval);

void cam_config_set_string(const gchar *key, const gchar *strval);

void cam_config_set_boolean(const gchar *key, gboolean bval);

int cam_config_get_int(const gchar *key, int default_value);

gchar *cam_config_get_string(const gchar *key, const gchar *default_value);

gboolean cam_config_get_boolean(const gchar *key, gboolean default_value);

void cam_config_set_int_by_type(CamConfigType config_type, const gchar *key,
				int nval);

void cam_config_set_string_by_type(CamConfigType config_type, const gchar *key,
				   const gchar *strval);

void cam_config_set_boolean_by_type(CamConfigType config_type,
				    const gchar *key, gboolean bval);

int cam_config_get_int_by_type(CamConfigType config_type, const gchar *key,
			       int default_value);

gchar *cam_config_get_string_by_type(CamConfigType config_type,
				     const gchar *key,
				     const gchar *default_value);

gboolean cam_config_get_boolean_by_type(CamConfigType config_type,
					const gchar *key,
					gboolean default_value);

#endif				/* _CAM_CONFIG_H_ */
