/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEF_cam_continuous_shot_H_
#define __DEF_cam_continuous_shot_H_

#include "cam.h"

#define SAVE_THREAD_EXIT "SAVE_THREAD_EXIT"
#define SAVE_THREAD_FINISH "SAVE_THREAD_FINISH"


typedef struct __FILE_SAVE_INFO {
	void *buffer;
	unsigned int buf_size;
	char *filename;
	char *cmd;
} File_Save_Info;


void cam_continuous_shot_data_free(void *data);
void cam_continuous_shot_capture_start(void *data);
void cam_continuous_shot_capture_callback(camera_image_data_s* image,
	camera_image_data_s* postview,
	camera_image_data_s* thumbnail,
	void *user_data);

gboolean cam_continuous_shot_reg_file(int shot_num, char *file_path[]);
gboolean cam_continuous_shot_create_file_save_thread(void *data);
void cam_continuous_shot_file_save_thread_exit(void *data);
void cam_continuous_shot_update_progress_value(void *data);
void cam_continuous_shot_finish_save_image();


#endif
