/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEF_STRING_H_
#define __DEF_STRING_H_

/*  share between EDC and C code. */
/* #define NEW_RECORDING_LAYOUT */

#define INVALID_INDEX -1

#define CAM_COMMON_STRING_LEN 80

#define CAM_UI_LOG(fmt, args...) 	cam_debug(LOG_UI, fmt, ##args)

#define BG_BLACK	40
#define FG_RED		31
#define FG_GREEN	32
#define FG_YELLOW	33
#define FG_PUPPLE	35
#define FG_CYAN 	36
#define FG_BLUE 	34

#define UI_TEST_LOG(fmt, args...) \
	do { \
		printf("\x1b[%dm\x1b[%dm[CAM_UI_LOG] [%s:%d] : "fmt, BG_BLACK, FG_GREEN, __func__, __LINE__, ##args); \
		printf("\x1b[0m\n"); \
	} while (0)

#define MAIN_W 1280
#define MAIN_H 720
#define VER_MAIN_W MAIN_H
#define VER_MAIN_H MAIN_W

#define MAIN_W_AUTO 800
#define MAIN_H_AUTO 480
#define VER_MAIN_W_AUTO MAIN_H_AUTO
#define VER_MAIN_H_AUTO MAIN_W_AUTO


#define TOOLBAR_W 160
#define TOOLBAR_RIGHT_ITEM_H 225

/* camera focus */
#define CAMERA_FOCUS_W  150
#define CAMERA_FOCUS_H  97

#define SETTINGS_TAB_BACK_W 71
#define SETTINGS_TAB_BACK_H 71

#define INDICATOR_GPS "INDICATOR_GPS"
#define INDICATOR_BATTERY "INDICATOR_BATTERY"
#define INDICATOR_NUM "INDICATOR_NUM"
#define INDICATOR_STORAGE "INDICATOR_STORAGE"

#define INDI_REC_GPS "INDI_REC_GPS"
#define INDI_REC_BATTERY "INDI_REC_BATTERY"
#define INDI_REC_STORAGE "INDI_REC_STORAGE"
#define INDI_REC_MUTE "INDI_REC_MUTE"


/* recording */
#define RECORDING_IMAGE "recording_image"
#define RECORDING_TEXT "recording_text"
#define RECORDING_LEFT_TEXT "recording_left_text"

/* haptic */
#define HAPTIC_SIG_SRC "HAPTIC_SIG_SRC"
#define HAPTIC_SIG "HAPTIC_SIG"

#define CONTI_REVIEW_BACK "conti_review_back"
#define CONTI_REVIEW_THUMB "conti_review_thumb"
#define CONTI_REVIEW_BTN_SIG_SRC "conti_review_sig_source"
#define CONTI_REVIEW_BACK_BTN_SIG "conti_review_back_SIG"

/* captured image */
#define CAPTURED_IMAGE_SCREEN "captured_image_screen"
#define CAPTURED_IMAGE_SAVE "captured_image_save_btn"
#define CAPTURED_IMAGE_RETRY "capture_image_save_bnt"

/* Font related */
#define COLOR_1	255 255 255 255
#define COLOR_2	0 0 0 255
#define COLOR_65	164 215 255 255
#define COLOR_73	150 150 150 255

#define FONT_NAME			"font=SLP:style=Roman"
#define FONT_COLOR 			COLOR_1

#endif
